<template>
  <div class="root has-background-grey-lighter">
    <section class="hero is-small is-dark">
      <div class="hero-body">
        <div
          class="is-flex is-flex-direction-row is-justify-content-space-between"
        >
          <p class="title">ANOVA i kontrasti</p>
          <div>
            <b-tooltip
              label="Podešavanja"
              class="is-pulled-right"
              type="is-white"
              position="is-left"
            >
              <b-button type="is-light" @click="isSettingsModalActive = true">
                <b-icon pack="fas" icon="cog" size="is-small"></b-icon>
              </b-button>
            </b-tooltip>
          </div>
        </div>
      </div>
      <b-modal v-model="isSettingsModalActive">
        <header class="modal-card-head">
          <p class="modal-card-title">Podešavanja</p>
          <button
            type="button"
            class="delete is-pulled-right"
            @click="isSettingsModalActive = false"
          />
        </header>
        <section class="modal-card-body">
          <b-field label="">
            <template #label>
              Broj mjerenja (n):
              <sup>
                <b-tooltip
                  type="is-dark"
                  label="Promjena broja mjerenja BRIŠE tabelu alternativa."
                  multilined
                  position="is-bottom"
                >
                  <b-icon
                    pack="fas"
                    size="is-small"
                    icon="info-circle"
                    type="is-danger"
                  ></b-icon>
                </b-tooltip>
              </sup>
            </template>
            <b-numberinput
              :controls="false"
              step="1"
              min="1"
              v-model="n"
              controls-position="compact"
            ></b-numberinput>
          </b-field>
          <b-field>
            <template #label>
              Stepen vjerovatnoće:
              <sup>
                <b-tooltip
                  type="is-dark"
                  label="Stepen vjerovatnoće možete da promjenite u bilo kojem trenutku."
                  multilined
                  position="is-bottom"
                >
                  <b-icon
                    pack="fas"
                    size="is-small"
                    icon="info-circle"
                    type="is-primary"
                  ></b-icon>
                </b-tooltip>
              </sup>
            </template>
            <b-radio-button
              v-model="alpha"
              :native-value="0.1"
              type="is-primary"
            >
              90%
            </b-radio-button>

            <b-radio-button
              v-model="alpha"
              :native-value="0.05"
              type="is-primary"
            >
              95%
            </b-radio-button>

            <b-radio-button
              v-model="alpha"
              :native-value="0.01"
              type="is-primary"
            >
              99%
            </b-radio-button>
          </b-field>
        </section>
      </b-modal>
    </section>
    <div class="card m-3 is-dark">
      <div class="card-content">
        <atable :n="n" :alpha="alpha" />
      </div>
    </div>
  </div>
</template>

<script>
import atable from "./components/Table.vue";
export default {
  components: {
    atable,
  },
  data() {
    return {
      n: 5,
      alpha: 0.1,
      isSettingsModalActive: false,
    };
  },
  mounted() {
    this.isSettingsModalActive = true;
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
